<script lang="ts">
  export let danger: boolean = false;
</script>

<div class="empty-card-slot" class:danger>
  <slot />
</div>

<style>
  .empty-card-slot {
    width: 5em;
    height: 7em;

    position: relative;

    border: dashed #99999955 0.33em;
    border-radius: 7% / 5%;
  }

  .danger {
    border: dashed hsla(0, 100%, 33%, 0.288) 0.33em;
  }
</style>
